=== debian/changelog ===
ros-indigo-nao-teleop (0.3.1-1trusty) trusty; urgency=high

  * publish only when move not zero
  * Contributors: Karsten Knese

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 10 Aug 2015 22:00:00 -0000

ros-indigo-nao-teleop (0.3.0-1trusty) trusty; urgency=high

  * get code to use naoqi_bridge_msgs and not naoqi_msgs
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 30 Jul 2015 22:00:00 -0000

ros-indigo-nao-teleop (0.2.2-1trusty) trusty; urgency=high

  * comply to the new naoqi organization
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 12 Nov 2014 23:00:00 -0000

ros-indigo-nao-teleop (0.2.1-1trusty) trusty; urgency=high

  * Fix package.xml files
  * Catkinization of nao_extras, based on commit cb7aedce3c7a3ea3391319f0b7e9aeb78ed13233
  * Contributors: Armin Hornung

 -- Armin Hornung <HornungA@informatik.uni-freiburg.de>  Sat, 06 Sep 2014 22:00:00 -0000

ros-indigo-nao-teleop (0.2.0-1trusty) trusty; urgency=high

  * Drop nao_teleop support for old versions of ROS, no more "using..." in header
  * nao_teleop: remove dependency on nao_remote
  * Moved nao_teleop's yaml file to config dir
  * Drop nao_teleop support for old versions of ROS
  * Contributors: Armin Hornung, Miguel Sarabia

 -- Armin Hornung <HornungA@informatik.uni-freiburg.de>  Fri, 25 Oct 2013 22:00:00 -0000

ros-indigo-nao-teleop (0.1.0-1trusty) trusty; urgency=high

  * callBodyPoseClient offers interface to executing poses in nao_teleop (feature req. #4 <https://github.com/ros-nao/nao_extras/issues/4>)
  * added nao_teleop namespace, ROS CPP style formatting
  * Applied patch from request #3 <https://github.com/ros-nao/nao_extras/issues/3>: Restructure of nao_teleop to allow reuse via subclasses (thx to Nick Hawkes)
  * fixes in nao_common teleop and pose_manager: check if action servers available, timeout
  * nao_teleop: Adapted launch files to new package structure
  * new package nao_teleop for teleoperation (moved from nao_remote)
  * Contributors: Armin Hornung, Stefan Osswald

 -- Armin Hornung <HornungA@informatik.uni-freiburg.de>  Mon, 29 Jul 2013 22:00:00 -0000
